POST /api/public/organisations/sign-in
A session for an organisation.
Surface: public. Who may call: public. Key: public.organisation.signIn.
Example request
curl -X POST https://caremcp.com/api/public/organisations/sign-in \
-H "Content-Type: application/json" \
-d '{"email":"ops@agentheim.com","password":"a long enough password"}'
Example input
{
"email": "ops@agentheim.com",
"password": "a long enough password"
}
Input schema
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"email": {
"type": "string",
"maxLength": 200,
"format": "email",
"pattern": "^(?:[A-Za-z0-9_'+\\-]+\\.)*[A-Za-z0-9_'+\\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"
},
"password": {
"type": "string",
"minLength": 10,
"maxLength": 200
}
},
"required": [
"email",
"password"
]
}
Output schema
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"token": {
"type": "string"
},
"kind": {
"type": "string",
"enum": [
"client",
"professional",
"organisation"
]
},
"id": {
"type": "string"
}
},
"required": [
"token",
"kind",
"id"
],
"additionalProperties": false
}